# Activate or cancel contract

Enable a contract to use locked in FX rates in an Account Payout. For Account Payouts customers only.

Endpoint: PUT /foreignExchange/contract/{contractId}
Version: 1
Security: basicAuth

## Header parameters:

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.foreignexchange-v1+json"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Path parameters:

  - `contractId` (string, required)
    Unique ID of the contract.
    Example: "C000000001"

## Request fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `status` (string, required)
    New status of the contract.
    Enum: "ACTIVE", "CANCELLED"

  - `entity` (string, required)
    6-digit reference given to you by your Implementation Manager during the onboarding process
    Example: "100001"

## Response 400 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 401 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 403 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 404 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 409 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 500 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message


## Response 204 fields
